=== debian/changelog ===
sra-sdk (3.2.1+dfsg-6ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Disable LTO; this causes a misbuild that makes fastq-dump segfault.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 28 Feb 2026 08:42:51 +0100

sra-sdk (3.2.1+dfsg-6) unstable; urgency=medium

  * debian/control: Build-depend on pkgconf.
  * debian/patches/support_glibc_2.43.patch (new): Comment out
    test/search/agrep-main.c's gratuitous redefinition of index as an alias
    for strchr, which interacted poorly with C23 const-preserving generics.
    (Closes: #1128753.)
  * debian/patches/support_libre2-11.patch: Obtain re2's dependencies from
    pkgconf rather than hardcoding absl_string_view.  (Closes: #1126172,
    modulo the need for a rebuilt re2.)
  * Update watch file format version to 5.
  * Add dversionmangle for repack versioning in debian/watch.
  * Use GitHub template in watch file instead of explicit
    Source/Matching-Pattern.
  * Reorder Files paragraphs in debian/copyright by directory depth.
  * Remove duplicate values for fields Entry, Entry, Entry, Name, Name in
    debian/upstream/metadata.
  * debputy lint --auto-fix (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 27 Feb 2026 17:45:36 -0500

sra-sdk (3.2.1+dfsg-5) unstable; urgency=medium

  * debian/patches/bypass-libxml2-ATTRIBUTE_UNUSED.patch (new): Fix builds
    with libxml2 2.14+, which don't define ATTRIBUTE_UNUSED publically.
    (Closes: #1106622.)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 16 Aug 2025 23:39:09 -0400

sra-sdk (3.2.1+dfsg-4ubuntu6) resolute; urgency=medium

  * No-change rebuild for abseil soname.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 Jan 2026 08:55:23 +0100

sra-sdk (3.2.1+dfsg-4ubuntu5) questing; urgency=medium

  * Fix build with libxml 2.14.x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 May 2025 14:27:42 +0200

sra-sdk (3.2.1+dfsg-4ubuntu4) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 May 2025 14:23:23 +0200

sra-sdk (3.2.1+dfsg-4ubuntu3) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:19:57 +0200

sra-sdk (3.2.1+dfsg-4ubuntu2) questing; urgency=medium

  * Rebuild against latest abseil

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 May 2025 11:13:20 -0400

sra-sdk (3.2.1+dfsg-4ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable LTO; this causes a misbuild that makes fastq-dump segfault.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Apr 2025 09:58:24 +0200

sra-sdk (3.2.1+dfsg-4) unstable; urgency=medium

  * debian/patches: Add two patches for GCC 15 support.  (Closes: #1097930.)
    - fix_bm_for_gcc15.patch: BitMagic cherry-pick, location adjusted.
    - include_cstdint_for_gcc15.patch: Compensate for libstdc++ changes.
  * debian/rules: Explicitly direct pybuild to use distutils.  It can
    otherwise misfire when bypassing the test suite, which includes a
    setup.py run.  (Closes: #1103330.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 16 Apr 2025 15:44:48 -0400

sra-sdk (3.2.1+dfsg-3ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable LTO; this causes a misbuild that makes fastq-dump segfault.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Apr 2025 17:12:28 +0200

sra-sdk (3.2.1+dfsg-3) unstable; urgency=medium

  * Upload to unstable.
  * debian/salsa-ci.yml: Disable use of experimental (build-)deps again.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 09 Apr 2025 21:31:32 -0400

sra-sdk (3.2.1+dfsg-2) experimental; urgency=medium

  * debian/control: Build-depend on python3-setuptools.
  * debian/patches/fix_arm64_build.patch: Correct parenthesis placement.
  * debian/patches/setuptools.patch (new): Substitute setuptools for
    distutils (retired) in ngs/ngs-python/setup.py.
  * debian/rules:
    - Set PIP_BREAK_SYSTEM_PACKAGES for upstream's test suite.
    - Substitute pybuild for direct setup.py invocation and clean up after
      it.
  * .gitignore: Add .pc (belatedly) and .pybuild.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 09 Apr 2025 20:41:31 -0400

sra-sdk (3.2.1+dfsg-1) experimental; urgency=medium

  [ Andreas Tille ]
  * New upstream version 3.1.1.
  * Fix Python3.12 string syntax
    Closes: #1087096
  * Do not fail if clean target debian/libngs-jni.links does not exist

  [ Aaron M. Ucko ]
  * New upstream version 3.2.1.
  * debian/control:
    - Tighten libncbi-vdb-dev build dependency as usual; add one on
      python3-vdb (provided by ncbi-vdb-data for now, to be split off
      post-Trixie.)
    - Drop vestigial build dependency on libfuse-dev.  (Closes: #1084404.)
  * debian/copyright: Update GPL logistics (see #1080497) and bm and
    spdlog paths.
  * debian/patches: Update accordingly.  Notably:
    - label_online_tests.patch: Add a couple dozen additional tests.
    - missing_include.patch: Drop, superfluous at this point.
    - support_libre2-11.patch: Cover new additions to
      fastq_defline_matcher.hpp.
    - use_debian_packaged_re2.patch: Cover new test-sharq-reader.
  * debian/rules:
    - Stop generating and installing debian.kfg, taken over by
      ncbi-vdb-data.
    - Clean up additional build output.
  * debian/salsa-ci.yml: Reenable use of experimental (build-)deps for now.
  * debian/tests/control: Per Stefano Rivera (thanks!), declare a
    dependency on ca-certificates and the need for Internet access.
    (Closes: #1099933.)
  * .gitignore: Add, belatedly.
  * Standards-Version: 4.7.2 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 08 Apr 2025 21:51:58 -0400

sra-sdk (3.0.9+dfsg-7.1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable LTO; this causes a misbuild that makes fastq-dump segfault.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Mar 2025 08:31:47 +0100


