=== debian/watch ===
Version: 5

Repack-Suffix: +dfsg
Debian-Version-Mangle: s/\+dfsg//g
Compression: xz
Filename-Mangle: s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%
Dversion-Mangle: s/\+(dfsg|ds|debian|repack)(\d*)$//
Template: GitHub
Owner: ncbi
Project: sra-tools
